﻿namespace Monosoft.Zip2City.Persistence.PostgreSQL.Repositories
{
    using CanineDotNet.Common.Exceptions;
    using Monosoft.Zip2City.Domain.Entities;
    using Monosoft.Zip2City.Domain.Interfaces;
    using System.Collections.Generic;
    using System.Linq;

    public class ZipCodeRepository : IZipCodeRepository
    {
        private readonly DbContext db;

        public ZipCodeRepository(DbContext db)
        {
            this.db = db;
        }

        public ZipCodeInfo GetByCountryAndZipCode(string country, string zipcode)
        {
            var zipCodeObj = zipcodes.Where(x => x.Country == country && x.ZipCode == zipcode).FirstOrDefault();

            if (zipCodeObj == null)
            {
                var rangeList = zipcodes.Where(x => x.ZipCodeRangeStart != "0").OrderBy(x => x.ZipCodeRangeStart).ToList();

                foreach (var city in rangeList)
                {
                    var range = string.Compare(city.ZipCodeRangeStart, zipcode);
                    var zip = string.Compare(city.ZipCode, zipcode);
                    if (range <= 0 && zip >= 0)
                    {
                        zipCodeObj = new ZipCodeInfo() 
                        { 
                            CityName = city.CityName, 
                            ZipCodeRangeStart = city.ZipCodeRangeStart, 
                            Country = city.Country, 
                            ZipCode = zipcode
                        };
                    }
                }
            }
            if (zipCodeObj == null)
            {
                throw new ElementDoesNotExistException("Zipcode doesn't exist", zipcode);
            }
            return zipCodeObj;
        }

        public void Update(ZipCodeInfo zipCodeInfo)
        {
            throw new System.NotImplementedException();
        }

        public void Insert(ZipCodeInfo zipCodeInfo)
        {
            throw new System.NotImplementedException();
        }

        public void Delete(string country, string zipcode)
        {
            throw new System.NotImplementedException();
        }

        public static List<ZipCodeInfo> zipcodes = new List<ZipCodeInfo>()
        {
            new ZipCodeInfo() { Country = "DK",ZipCode = "1500", CityName = "København K", ZipCodeRangeStart = "1000" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "1800", CityName = "København V", ZipCodeRangeStart = "1501" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2000", CityName = "Frederiksberg C", ZipCodeRangeStart = "1801" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2000", CityName = "Frederiksberg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2100", CityName = "København Ø", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2150", CityName = "Nordhavn", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2200", CityName = "Københ<avn N", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2300", CityName = "København S", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2400", CityName = "København NV", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2450", CityName = "København SV", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2500", CityName = "Valby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2600", CityName = "Glostrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2605", CityName = "Brøndby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2610", CityName = "Rødovre", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2620", CityName = "Albertslund", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2625", CityName = "Vallensbæk", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2630", CityName = "Taastrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2635", CityName = "Ishøj", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2640", CityName = "Hedehusene", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2650", CityName = "Hvidovre", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2660", CityName = "Brøndby Strand", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2665", CityName = "Vallensbæk Strand", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2670", CityName = "Greve", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2680", CityName = "Solrød Strand", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2690", CityName = "Karlslunde", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2700", CityName = "Brønshøj", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2720", CityName = "Vanløse", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2730", CityName = "Herlev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2740", CityName = "Skovlunde", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2750", CityName = "Ballerup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2760", CityName = "Måløv", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2765", CityName = "Smørum", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2770", CityName = "Kastrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2791", CityName = "Dragør", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2800", CityName = "Kongens Lyngby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2820", CityName = "Gentofte", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2830", CityName = "Virum", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2840", CityName = "Holte", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2850", CityName = "Nærum", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2860", CityName = "Søborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2870", CityName = "Dyssegård", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2880", CityName = "Bagsværd", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2900", CityName = "Hellerup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2920", CityName = "Charlottenlund", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2930", CityName = "Klampenborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2942", CityName = "Skodsborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2950", CityName = "Vedbæk", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2960", CityName = "Rungsted Kyst", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2970", CityName = "Hørsholm", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2980", CityName = "Kokkedal", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "2990", CityName = "Nivå", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3000", CityName = "Helsingør", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3050", CityName = "Humlebæk", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3060", CityName = "Espergærde", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3070", CityName = "Snekkersten", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3080", CityName = "Tikøb", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3100", CityName = "Hornbæk", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3120", CityName = "Dronningmølle", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3140", CityName = "Ålsgårde", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3150", CityName = "Hellebæk", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3200", CityName = "Helsinge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3210", CityName = "Vejby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3220", CityName = "Tisvildeleje", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3230", CityName = "Græsted", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3250", CityName = "Gilleleje", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3300", CityName = "Frederiksværk", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3310", CityName = "Ølsted", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3320", CityName = "Skævinge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3330", CityName = "Gørløse", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3360", CityName = "Liseleje", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3370", CityName = "Melby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3390", CityName = "Hundested", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3400", CityName = "Hillerød", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3450", CityName = "Allerød", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3460", CityName = "Birkerød", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3480", CityName = "Fredensborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3490", CityName = "Kvistgård", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3500", CityName = "Værløse", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3520", CityName = "Farum", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3540", CityName = "Lynge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3550", CityName = "Slangerup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3600", CityName = "Frederikssund", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3630", CityName = "Jægerspris", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3650", CityName = "Ølstykke", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3660", CityName = "Stenløse", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3670", CityName = "Veksø Sjælland", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3700", CityName = "Rønne", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3720", CityName = "Aakirkeby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3730", CityName = "Nexø", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3740", CityName = "Svaneke", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3751", CityName = "Østermarie", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3760", CityName = "Gudhjem", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3770", CityName = "Allinge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3782", CityName = "Klemensker", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "3790", CityName = "Hasle", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4000", CityName = "Roskilde", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4030", CityName = "Tune", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4040", CityName = "Jyllinge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4050", CityName = "Skibby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4060", CityName = "Kirke Såby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4070", CityName = "Kirke Hyllinge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4100", CityName = "Ringsted", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4129", CityName = "Ringsted", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4130", CityName = "Viby Sjælland", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4140", CityName = "Borup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4160", CityName = "Herlufmagle", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4171", CityName = "Glumsø", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4173", CityName = "Fjenneslev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4174", CityName = "Jystrup Midtsj", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4180", CityName = "Sorø", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4190", CityName = "Munke Bjergby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4200", CityName = "Slagelse", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4220", CityName = "Korsør", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4230", CityName = "Skælskør", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4241", CityName = "Vemmelev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4242", CityName = "Boeslunde", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4243", CityName = "Rude", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4250", CityName = "Fuglebjerg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4261", CityName = "Dalmose", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4262", CityName = "Sandved", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4270", CityName = "Høng", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4281", CityName = "Gørlev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4291", CityName = "Ruds Vedby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4293", CityName = "Dianalund", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4295", CityName = "Stenlille", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4296", CityName = "Nyrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4300", CityName = "Holbæk", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4320", CityName = "Lejre", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4330", CityName = "Hvalsø", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4340", CityName = "Tølløse", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4350", CityName = "Ugerløse", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4360", CityName = "Kirke Eskilstrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4370", CityName = "Store Merløse", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4390", CityName = "Vipperød", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4400", CityName = "Kalundborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4420", CityName = "Regstrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4440", CityName = "Mørkøv", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4450", CityName = "Jyderup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4460", CityName = "Snertinge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4470", CityName = "Svebølle", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4480", CityName = "Store Fuglede", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4490", CityName = "Jerslev Sjælland", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4500", CityName = "Nykøbing SJ", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4520", CityName = "Svinninge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4532", CityName = "Gislinge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4534", CityName = "Hørve", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4540", CityName = "Fårevejle", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4550", CityName = "Asnæs", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4560", CityName = "Vig", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4571", CityName = "Grevinge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4572", CityName = "Nørre Asmindrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4573", CityName = "Højby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4581", CityName = "Rørvig", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4583", CityName = "Sjællands Odde", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4591", CityName = "Føllenslev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4592", CityName = "Sejerø", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4593", CityName = "Eskebjerg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4600", CityName = "Køge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4621", CityName = "Gadstrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4622", CityName = "Havdrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4623", CityName = "Lille Skensved", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4632", CityName = "Bjæverskov", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4640", CityName = "Faxe", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4652", CityName = "Hårlev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4653", CityName = "Karise", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4654", CityName = "Faxe Ladeplads", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4660", CityName = "Store Heddinge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4671", CityName = "Strøby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4672", CityName = "Klippinge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4673", CityName = "Rødvig Stevns", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4681", CityName = "Herfølge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4682", CityName = "Tureby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4683", CityName = "Rønnede", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4684", CityName = "Holmegaard", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4690", CityName = "Haslev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4700", CityName = "Næstved", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4720", CityName = "Præstø", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4733", CityName = "Tappernøje", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4735", CityName = "Mern", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4736", CityName = "Karrebæksminde", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4750", CityName = "Lundby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4760", CityName = "Vordingborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4771", CityName = "Kalvehave", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4772", CityName = "Langebæk", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4773", CityName = "Stensved", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4780", CityName = "Stege", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4791", CityName = "Borre", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4792", CityName = "Askeby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4793", CityName = "Bogø By", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4800", CityName = "Nykøbing F", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4840", CityName = "Nørre Alslev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4850", CityName = "Stubbekøbing", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4862", CityName = "Guldborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4863", CityName = "Eskilstrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4871", CityName = "Horbelev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4872", CityName = "Idestrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4873", CityName = "Væggerløse", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4874", CityName = "Gedser", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4880", CityName = "Nysted", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4891", CityName = "Toreby L", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4892", CityName = "Kettinge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4894", CityName = "Øster Ulslev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4895", CityName = "Errindlev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4900", CityName = "Nakskov", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4912", CityName = "Harpelunde", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4913", CityName = "Horslunde", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4920", CityName = "Søllested", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4930", CityName = "Maribo", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4941", CityName = "Bandholm", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4943", CityName = "Torrig L", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4944", CityName = "Fejø", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4951", CityName = "Nørreballe", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4952", CityName = "Stokkemarke", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4953", CityName = "Vesterborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4960", CityName = "Holeby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4970", CityName = "Rødby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4983", CityName = "Dannemare", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4990", CityName = "Sakskøbing", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "4992", CityName = "Midtsjælland USF P", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5000", CityName = "Odense C", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5029", CityName = "Odense C", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5100", CityName = "Odense C", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5200", CityName = "Odense V", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5210", CityName = "Odense NV", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5220", CityName = "Odense SØ", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5230", CityName = "Odense M", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5240", CityName = "Odense NØ", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5250", CityName = "Odense SV", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5260", CityName = "Odense S", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5270", CityName = "Odense N", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5290", CityName = "Marslev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5300", CityName = "Kerteminde", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5320", CityName = "Agedrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5330", CityName = "Munkebo", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5350", CityName = "Rynkeby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5370", CityName = "Mesinge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5380", CityName = "Dalby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5390", CityName = "Martofte", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5400", CityName = "Bogense", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5450", CityName = "Otterup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5462", CityName = "Morud", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5463", CityName = "Harndrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5464", CityName = "Brenderup Fyn", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5466", CityName = "Asperup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5471", CityName = "Søndersø", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5474", CityName = "Veflinge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5485", CityName = "Skamby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5491", CityName = "Blommenslyst", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5492", CityName = "Vissenbjerg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5500", CityName = "Middelfart", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5540", CityName = "Ullerslev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5550", CityName = "Langeskov", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5560", CityName = "Aarup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5580", CityName = "Nørre Aaby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5591", CityName = "Gelsted", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5592", CityName = "Ejby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5600", CityName = "Faaborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5610", CityName = "Assens", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5620", CityName = "Glamsbjerg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5631", CityName = "Ebberup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5642", CityName = "Millinge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5672", CityName = "Broby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5683", CityName = "Haarby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5690", CityName = "Tommerup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5700", CityName = "Svendborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5750", CityName = "Ringe", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5762", CityName = "Vester Skerninge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5771", CityName = "Stenstrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5772", CityName = "Kværndrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5792", CityName = "Årslev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5800", CityName = "Nyborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5853", CityName = "Ørbæk", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5854", CityName = "Gislev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5856", CityName = "Ryslinge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5863", CityName = "Ferritslev Fyn", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5871", CityName = "Frørup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5874", CityName = "Hesselager", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5881", CityName = "Skårup Fyn", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5882", CityName = "Vejstrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5883", CityName = "Oure", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5884", CityName = "Gudme", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5892", CityName = "Gudbjerg Sydfyn", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5900", CityName = "Rudkøbing", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5932", CityName = "Humble", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5935", CityName = "Bagenkop", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5953", CityName = "Tranekær", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5960", CityName = "Marstal", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5970", CityName = "Ærøskøbing", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "5985", CityName = "Søby Ærø", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6000", CityName = "Kolding", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6040", CityName = "Egtved", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6051", CityName = "Almind", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6052", CityName = "Viuf", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6064", CityName = "Jordrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6070", CityName = "Christiansfeld", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6091", CityName = "Bjert", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6092", CityName = "Sønder Stenderup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6093", CityName = "Sjølund", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6094", CityName = "Hejls", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6100", CityName = "Haderslev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6200", CityName = "Aabenraa", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6230", CityName = "Rødekro", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6240", CityName = "Løgumkloster", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6261", CityName = "Bredebro", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6270", CityName = "Tønder", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6280", CityName = "Højer", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6300", CityName = "Gråsten", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6310", CityName = "Broager", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6320", CityName = "Egernsund", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6330", CityName = "Padborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6340", CityName = "Kruså", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6360", CityName = "Tinglev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6372", CityName = "Bylderup-Bov", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6392", CityName = "Bolderslev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6400", CityName = "Sønderborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6430", CityName = "Nordborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6440", CityName = "Augustenborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6470", CityName = "Sydals", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6500", CityName = "Vojens", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6510", CityName = "Gram", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6520", CityName = "Toftlund", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6534", CityName = "Agerskov", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6535", CityName = "Branderup J", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6541", CityName = "Bevtoft", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6560", CityName = "Sommersted", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6580", CityName = "Vamdrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6600", CityName = "Vejen", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6621", CityName = "Gesten", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6622", CityName = "Bække", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6623", CityName = "Vorbasse", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6630", CityName = "Rødding", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6640", CityName = "Lunderskov", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6650", CityName = "Brørup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6660", CityName = "Lintrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6670", CityName = "Holsted", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6682", CityName = "Hovborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6683", CityName = "Føvling", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6690", CityName = "Gørding", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6700", CityName = "Esbjerg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6701", CityName = "Esbjerg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6705", CityName = "Esbjerg Ø", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6710", CityName = "Esbjerg V", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6715", CityName = "Esbjerg N", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6720", CityName = "Fanø", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6731", CityName = "Tjæreborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6740", CityName = "Bramming", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6752", CityName = "Glejbjerg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6753", CityName = "Agerbæk", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6760", CityName = "Ribe", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6771", CityName = "Gredstedbro", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6780", CityName = "Skærbæk", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6792", CityName = "Rømø", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6800", CityName = "Varde", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6818", CityName = "Årre", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6823", CityName = "Ansager", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6830", CityName = "Nørre Nebel", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6840", CityName = "Oksbøl", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6851", CityName = "Janderup Vestj", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6852", CityName = "Billum", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6853", CityName = "Vejers Strand", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6854", CityName = "Henne", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6855", CityName = "Outrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6857", CityName = "Blåvand", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6862", CityName = "Tistrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6870", CityName = "Ølgod", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6880", CityName = "Tarm", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6893", CityName = "Hemmet", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6900", CityName = "Skjern", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6920", CityName = "Videbæk", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6933", CityName = "Kibæk", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6940", CityName = "Lem St", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6950", CityName = "Ringkøbing", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6960", CityName = "Hvide Sande", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6971", CityName = "Spjald", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6973", CityName = "Ørnhøj", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6980", CityName = "Tim", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "6990", CityName = "Ulfborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7000", CityName = "Fredericia", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7007", CityName = "Fredericia", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7017", CityName = "Taulov Pakkecenter", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7018", CityName = "Pakker TLP", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7029", CityName = "Fredericia", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7080", CityName = "Børkop", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7100", CityName = "Vejle", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7120", CityName = "Vejle Øst", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7130", CityName = "Juelsminde", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7140", CityName = "Stouby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7150", CityName = "Barrit", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7160", CityName = "Tørring", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7171", CityName = "Uldum", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7173", CityName = "Vonge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7182", CityName = "Bredsten", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7183", CityName = "Randbøl", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7184", CityName = "Vandel", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7190", CityName = "Billund", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7200", CityName = "Grindsted", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7250", CityName = "Hejnsvig", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7260", CityName = "Sønder Omme", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7270", CityName = "Stakroge", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7280", CityName = "Sønder Felding", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7300", CityName = "Jelling", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7321", CityName = "Gadbjerg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7323", CityName = "Give", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7330", CityName = "Brande", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7361", CityName = "Ejstrupholm", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7362", CityName = "Hampen", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7400", CityName = "Herning", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7429", CityName = "Herning", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7430", CityName = "Ikast", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7441", CityName = "Bording", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7442", CityName = "Engesvang", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7451", CityName = "Sunds", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7470", CityName = "Karup J", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7480", CityName = "Vildbjerg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7490", CityName = "Aulum", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7500", CityName = "Holstebro", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7540", CityName = "Haderup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7550", CityName = "Sørvad", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7560", CityName = "Hjerm", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7570", CityName = "Vemb", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7600", CityName = "Struer", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7620", CityName = "Lemvig", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7650", CityName = "Bøvlingbjerg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7660", CityName = "Bækmarksbro", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7673", CityName = "Harboøre", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7680", CityName = "Thyborøn", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7700", CityName = "Thisted", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7730", CityName = "Hanstholm", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7741", CityName = "Frøstrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7742", CityName = "Vesløs", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7752", CityName = "Snedsted", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7755", CityName = "Bedsted Thy", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7760", CityName = "Hurup Thy", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7770", CityName = "Vestervig", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7790", CityName = "Thyholm", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7800", CityName = "Skive", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7830", CityName = "Vinderup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7840", CityName = "Højslev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7850", CityName = "Stoholm Jyll", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7860", CityName = "Spøttrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7870", CityName = "Roslev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7884", CityName = "Fur", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7900", CityName = "Nykøbing M", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7950", CityName = "Erslev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7960", CityName = "Karby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7970", CityName = "Redsted M", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7980", CityName = "Vils", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7990", CityName = "Øster Assels", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7992", CityName = "Sydjylland/Fyn USF P", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7993", CityName = "ydjylland/Fyn USF B", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7996", CityName = "Fakturaservice", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7997", CityName = "Fakturascanning", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7998", CityName = "Statsservice", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "7999", CityName = "Kommunepost", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8000", CityName = "Aarhus C", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8100", CityName = "Aarhus C", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8200", CityName = "Aarhus N", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8210", CityName = "Aarhus V", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8220", CityName = "Brabrand", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8229", CityName = "Risskov Ø", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8230", CityName = "Åbyhøj", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8240", CityName = "Risskov", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8245", CityName = "Risskov Ø", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8250", CityName = "Egå", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8260", CityName = "Viby J", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8270", CityName = "Højbjerg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8300", CityName = "Odder", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8305", CityName = "Samsø", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8310", CityName = "Tranbjerg J", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8320", CityName = "Mårslet", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8330", CityName = "Beder", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8340", CityName = "Malling", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8350", CityName = "Hundslund", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8355", CityName = "Solbjerg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8361", CityName = "Hasselager", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8362", CityName = "Hørning", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8370", CityName = "Hadsten", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8380", CityName = "Trige", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8381", CityName = "Tilst", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8382", CityName = "Hinnerup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8400", CityName = "Ebeltoft", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8410", CityName = "Rønde", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8420", CityName = "Knebel", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8444", CityName = "Balle", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8450", CityName = "Hammel", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8462", CityName = "Harlev J", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8464", CityName = "Galten", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8471", CityName = "Sabro", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8472", CityName = "Sporup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8500", CityName = "Grenaa", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8520", CityName = "Lystrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8530", CityName = "Hjortshøj", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8541", CityName = "Skødstrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8543", CityName = "Hornslet", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8544", CityName = "Mørke", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8550", CityName = "Ryomgård", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8560", CityName = "Kolind", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8570", CityName = "Trustrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8581", CityName = "Nimtofte", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8585", CityName = "Glesborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8586", CityName = "Ørum Djurs", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8592", CityName = "Anholt", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8600", CityName = "Silkeborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8620", CityName = "Kjellerup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8632", CityName = "Lemming", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8641", CityName = "Sorring", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8643", CityName = "Ans By", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8653", CityName = "Them", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8654", CityName = "Bryrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8660", CityName = "Skanderborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8670", CityName = "Låsby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8680", CityName = "Ry", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8700", CityName = "Horsens", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8721", CityName = "Daugård", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8722", CityName = "Hedensted", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8723", CityName = "Løsning", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8732", CityName = "Hovedgård", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8740", CityName = "Brædstrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8751", CityName = "Gedved", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8752", CityName = "Østbirk", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8762", CityName = "Flemming", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8763", CityName = "Rask Mølle", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8765", CityName = "Klovborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8766", CityName = "Nørre Snede", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8781", CityName = "Stenderup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8783", CityName = "Hornsyld", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8800", CityName = "Viborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8830", CityName = "Tjele", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8831", CityName = "Løgstrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8832", CityName = "Skals", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8840", CityName = "Rødkærsbro", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8850", CityName = "Bjerringbro", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8860", CityName = "Ulstrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8870", CityName = "Langå", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8881", CityName = "Thorsø", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8882", CityName = "Fårvang", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8883", CityName = "Gjern", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8900", CityName = "Randers C", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8920", CityName = "Randers NV", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8930", CityName = "Randers NØ", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8940", CityName = "Randers SV", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8950", CityName = "Ørsted", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8960", CityName = "Randers SØ", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8961", CityName = "Allingåbro", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8963", CityName = "Auning", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8970", CityName = "Havndal", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8981", CityName = "Spentrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8983", CityName = "Gjerlev J", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "8990", CityName = "Fårup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9000", CityName = "Aalborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9029", CityName = "Aalborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9100", CityName = "Aalborg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9200", CityName = "Aalborg SV", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9210", CityName = "Aalborg SØ", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9220", CityName = "Aalborg Øst", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9230", CityName = "Svenstrup J", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9240", CityName = "Nibe", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9260", CityName = "Gistrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9270", CityName = "Klarup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9280", CityName = "Storvorde", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9293", CityName = "Kongerslev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9300", CityName = "Sæby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9310", CityName = "Vodskov", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9320", CityName = "Hjallerup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9330", CityName = "Dronninglund", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9340", CityName = "Asaa", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9352", CityName = "Dybvad", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9362", CityName = "Gandrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9370", CityName = "Hals", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9380", CityName = "Vestbjerg", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9381", CityName = "Sulsted", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9382", CityName = "Tylstrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9400", CityName = "Nørresundby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9430", CityName = "Vadum", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9440", CityName = "Aabybro", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9460", CityName = "Brovst", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9480", CityName = "Løkken", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9490", CityName = "Pandrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9492", CityName = "Blokhus", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9493", CityName = "Saltum", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9500", CityName = "Hobro", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9510", CityName = "Arden", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9520", CityName = "Skørping", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9530", CityName = "Støvring", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9541", CityName = "Suldrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9550", CityName = "Mariager", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9560", CityName = "Hadsund", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9574", CityName = "Bælum", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9575", CityName = "Terndrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9600", CityName = "Aars", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9610", CityName = "Nørager", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9620", CityName = "Aalestrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9631", CityName = "Gedsted", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9632", CityName = "Møldrup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9640", CityName = "Farsø", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9670", CityName = "Løgstør", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9681", CityName = "Razip", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9690", CityName = "Fjerritslev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9700", CityName = "Brønderslev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9740", CityName = "Jerslev J", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9750", CityName = "Østervrå", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9760", CityName = "Vrå", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9800", CityName = "Hjørring", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9830", CityName = "Tårs", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9850", CityName = "Hirtshals", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9870", CityName = "Sindal", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9881", CityName = "Bindslev", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9900", CityName = "Frederikshavn", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9940", CityName = "Læsø", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9970", CityName = "Strandby", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9981", CityName = "Jerup", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9982", CityName = "Ålbæk", ZipCodeRangeStart = "0" },
            new ZipCodeInfo() { Country = "DK",ZipCode = "9990", CityName = "Skagen", ZipCodeRangeStart = "0" },
         };
    }
}
